kcapi_pbkdf_iteration_count
Prev | Key Derivation Functions | Next

## Name

kcapi_pbkdf_iteration_count — Calculate numbers of iterations for a PBKDF

## Synopsis

`uint32_t kcapi_pbkdf_iteration_count (` | const char * hashname,
| uint64_t timeshresh`)`;

## Arguments

`hashname`

  [in] kernel crypto API name of a keyed hash (e.g. hmac(sha1))

`timeshresh`

  [in] Time duration in nanoseconds that the PBKDF operation shall at least require. If that value is 0, a default of (1<<27) nanoseconds is used.

## Description

The function measures the time the PBKDF operation takes for different round counts for the given keyed message digest type.

The result should be taken as the iteration count for a PBKDF operation.

If an error occurs with the PBKDF calculation, a value of 1<<18 is returned.

`return` number of iterations a PBKDF should take on this computer.

Prev | Up | Next
kcapi_pbkdf | Home | kcapi_hkdf